ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steve Loughran <ste...@apache.org>
Subject Re: Compiling fails on JDK 1.3
Date Thu, 16 Oct 2008 09:38:34 GMT
Stefan Bodewig wrote:
> On Fri, 10 Oct 2008, Jan Materne <Jan.Materne@rzf.fin-nrw.de> wrote:
> 
>> I tried a build on JDK 1.3/WinXP-SP2, but that failed.  The
>> constructor FileOutputStream(File, boolean) was added in JDK 1.4.
> 
> Should be easy to fix, I'm just not sure whether it needs to be.
> 
> <http://ant.apache.org/faq.html#java-version> only talks about Java
> 1.1 and 1.2.  I think we decided to make 1.7 require Java 1.3 and
> trunk Java 1.4 or has 1.7 still been at 1.2 and we switched to Java
> 1.3 with trunk?
> 
> Stefan
> 

Don't recall. Me, I'd go for Java 5+ on SVN_HEAD, because Java 5 has 
been out there so long that sun are going to remove support for some 
versions soon, and some of the language changes are pretty fundamental

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message